package queue

import (
	"juhe-factory/api/internal/config"

	"github.com/hibiken/asynq"
)

func NewClient(cfg config.Config) *asynq.Client {
	return asynq.NewClient(asynq.RedisClientOpt{
		Addr:     cfg.RedisAddress,
		Password: cfg.RedisPassword,
		DB:       cfg.AsynqRedisDB,
	})
}
